#version 300 es
#extension all : warn

#pragma STDGL invariant(all)
#pragma optimize(on)
#pragma debug(on)

/* Precison */
precision highp float;
precision mediump int;
precision lowp sampler2D;

/* Uniform */
uniform mat4 projection_matrix;
uniform mat4 modelview_matrix;

/* In */
in vec3 a_Vertex;
in vec3 a_Color;
in vec2 a_TexCoord;

/* Out */
out vec4 color;
out vec2 texCoord0;

/* Main */
void main(void)
{
	texCoord0 = a_TexCoord;
	color = vec4(a_Color, 1.0);

	vec4 pos = modelview_matrix * vec4(a_Vertex, 1.0);
	gl_Position = projection_matrix * pos;
}
